org.apache.ignite.internal.cache.query.index.sorted

## Interface IndexRow

All Superinterfaces:
  MvccVersionAware

All Known Implementing Classes:
  IndexRowImpl, IndexSearchRowImpl

    public interface IndexRow
    extends MvccVersionAware

Represents an index row stored in a tree.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`CacheDataRow` `cacheDataRow()`
`boolean` `indexSearchRow()`
`IndexKey` `key(int idx)`
`IndexKey[]` `keys()`
`long` `link()`
`default long` `mvccCoordinatorVersion()`
`default long` `mvccCounter()`
`default int` `mvccOperationCounter()`
`default byte` `mvccTxState()`
`InlineIndexRowHandler` `rowHandler()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Method Detail

#### key

    IndexKey key(int idx)

Parameters:
  `idx` - Index of a key.
Returns:
  Underlying key by specified index.

#### keys

    IndexKey[] keys()

Returns:
  Underlying keys.

#### link

    long link()

Returns:
  Link to a cache row.

#### rowHandler

    InlineIndexRowHandler rowHandler()

Returns:
  Schema of an index.

#### cacheDataRow

    CacheDataRow cacheDataRow()

Returns:
  Cache row.

#### mvccCoordinatorVersion

    default long mvccCoordinatorVersion()

Specified by:
  `mvccCoordinatorVersion` in interface `MvccVersionAware`
Returns:
  Mvcc coordinator version.

#### mvccCounter

    default long mvccCounter()

Specified by:
  `mvccCounter` in interface `MvccVersionAware`
Returns:
  Mvcc counter.

#### mvccOperationCounter

    default int mvccOperationCounter()

Specified by:
  `mvccOperationCounter` in interface `MvccVersionAware`
Returns:
  Mvcc operation counter.

#### mvccTxState

    default byte mvccTxState()

Specified by:
  `mvccTxState` in interface `MvccVersionAware`
Returns:
  Tx state hint for 'created' mvcc version.

#### indexSearchRow

    boolean indexSearchRow()

Returns:
  `True` for rows used for index search (as opposed to rows stored in `InlineIndexTree`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021